package com.gallery.free.wallpaper

import android.os.Parcel
import android.os.Parcelable

data class WpItem(
    val smallUrl: String,    // 缩略图URL
    val fullUrl: String,     // 全尺寸URL
    val description: String = "",  // 描述字段
    val imageRes: Int = 0
) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readString() ?: "",
        parcel.readString() ?: "",
        parcel.readString() ?: "",
        parcel.readInt()
    )

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(smallUrl)
        parcel.writeString(fullUrl)
        parcel.writeString(description)
        parcel.writeInt(imageRes)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<WpItem> {
        override fun createFromParcel(parcel: Parcel): WpItem {
            return WpItem(parcel)
        }

        override fun newArray(size: Int): Array<WpItem?> {
            return arrayOfNulls(size)
        }
    }
}